{stationId}

API: weather.gov:national-weather-service-api
Endpoint: /stations/{stationId}
Response format: application/geo+json
Auth: unknown
Method: GET
Last Status: 200
Latency: 229ms

Description

Returns metadata about a given observation station

Parameters (2)

Feature-Flags (array, header, optional)

Enable future and experimental features (see documentation for more info): * obs_station_provider: Include the data provider in the metadata about observation stations

stationId (string, path, required)

Observation station ID

Examples (3)

Get station metadata for JFK airport curl
curl 'https://api.weather.gov/stations/KJFK'
import requests

resp = requests.get("https://api.weather.gov/stations/KJFK")
data = resp.json()
import zingu_apis

api = zingu_apis.api("weather")
result = api.fetch("stations/{stationId}")

for item in result:
    print(item)
const resp = await fetch("https://api.weather.gov/stations/KJFK");
const data = await resp.json();
Get station with experimental provider feature curl
curl 'https://api.weather.gov/stations/KLAX' \
  -H 'Feature-Flags: obs_station_provider: I'
import requests

resp = requests.get(
    "https://api.weather.gov/stations/KLAX",
    headers={
        'Feature-Flags': 'obs_station_provider: I',
    },
)
data = resp.json()
import zingu_apis

api = zingu_apis.api("weather")
result = api.fetch("stations/{stationId}")

for item in result:
    print(item)
const resp = await fetch("https://api.weather.gov/stations/KLAX", {
  headers: {
    "Feature-Flags": "obs_station_provider: I",
  },
});
const data = await resp.json();
Get station metadata for Chicago O'Hare curl
curl 'https://api.weather.gov/stations/KORD'
import requests

resp = requests.get("https://api.weather.gov/stations/KORD")
data = resp.json()
import zingu_apis

api = zingu_apis.api("weather")
result = api.fetch("stations/{stationId}")

for item in result:
    print(item)
const resp = await fetch("https://api.weather.gov/stations/KORD");
const data = await resp.json();

Probe History

Latency

Status Codes

TimeStatusLatencySize
2026-04-04 06:30:08.627490 200 229ms
2026-04-04 03:01:25.141112 200 217ms
2026-04-04 02:36:59.519887 200 380ms
2026-04-03 14:48:20.123793 200 299ms
2026-04-03 13:22:58.455975 200 280ms
2026-04-03 12:06:08.959847 200 244ms
2026-03-30 07:06:05.726462 200 289ms
2026-03-30 06:05:46.311160 200 176ms
2026-03-30 02:45:09.841425 200 246ms
2026-03-29 15:08:30.159146 200 267ms
2026-03-29 14:08:14.197753 200 362ms
2026-03-29 13:41:32.262004 200 273ms
2026-03-23 10:31:16.955191 200 181ms
2026-03-23 10:29:03.989723 200 217ms
2026-03-23 09:27:09.180838 200 184ms